Wed, 16 Jun 2021 15:29:35 UTC

Information for RPM libxcrypt-4.1.1-4.el8.x86_64.rpm

ID4051
Namelibxcrypt
Version4.1.1
Release4.el8
Epoch
Archx86_64
SummaryExtended crypt library for DES, MD5, Blowfish and others
Descriptionlibxcrypt is a modern library for one-way hashing of passwords. It supports DES, MD5, SHA-2-256, SHA-2-512, and bcrypt-based password hashes, and provides the traditional Unix 'crypt' and 'crypt_r' interfaces, as well as a set of extended interfaces pioneered by Openwall Linux, 'crypt_rn', 'crypt_ra', 'crypt_gensalt', 'crypt_gensalt_rn', and 'crypt_gensalt_ra'. libxcrypt is intended to be used by login(1), passwd(1), and other similar programs; that is, to hash a small number of passwords during an interactive authentication dialogue with a human. It is not suitable for use in bulk password-cracking applications, or in any other situation where speed is more important than careful handling of sensitive data. However, it *is* intended to be fast and lightweight enough for use in servers that must field thousands of login attempts per minute. On Linux-based systems, by default libxcrypt will be binary backward compatible with the libcrypt.so.1 shipped as part of the GNU C Library. This means that all existing binary executables linked against glibc's libcrypt should work unmodified with this library's libcrypt.so.1. We have taken pains to provide exactly the same "symbol versions" as were used by glibc on various CPU architectures, and to account for the variety of ways in which the Openwall extensions were patched into glibc's libcrypt by some Linux distributions. (For instance, compatibility symlinks for SuSE's "libowcrypt" are provided.) However, the converse is not true: programs linked against libxcrypt will not work with glibc's libcrypt. Also, programs that use certain legacy APIs supplied by glibc's libcrypt ('encrypt', 'encrypt_r', 'setkey', 'setkey_r', and 'fcrypt') cannot be compiled against libxcrypt.
Build Time2019-05-11 01:39:58 GMT
Size73424
5d0ae947dd72ad1f5b27c8ab209e9b12
LicenseLGPLv2+ and BSD and Public Domain
Buildrootdist-c8-build-546-58
Provides
libcrypt.so.1()(64bit)
libcrypt.so.1(GLIBC_2.2.5)(64bit)
libcrypt.so.1(XCRYPT_2.0)(64bit)
libxcrypt = 4.1.1-4.el8
libxcrypt(x86-64) = 4.1.1-4.el8
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
glibc(x86-64) >= 2.26.9000-46
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.25)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 16 of 16
Name ascending sort Size
/lib64/.libcrypt.so.1.1.0.hmac65
/lib64/.libcrypt.so.1.hmac23
/lib64/libcrypt.so.117
/lib64/libcrypt.so.1.1.0144568
/usr/lib/.build-id0
/usr/lib/.build-id/a30
/usr/lib/.build-id/a3/baf007ac157d196f2d24cd74f2a0d83456a34d35
/usr/share/doc/libxcrypt0
/usr/share/doc/libxcrypt/NEWS6766
/usr/share/doc/libxcrypt/README7573
/usr/share/doc/libxcrypt/THANKS180
/usr/share/licenses/libxcrypt0
/usr/share/licenses/libxcrypt/AUTHORS1682
/usr/share/licenses/libxcrypt/COPYING.LIB26530
/usr/share/licenses/libxcrypt/LICENSING3015
/usr/share/man/man5/crypt.5.gz4041
Component of
Page:
1 through 50 of 8339 >>>
Buildroot descending sort Created State
dist-c8_4-updates-build-72219-22575 2021-06-16 15:16:19 expired
dist-c8_4-updates-build-72093-22255 2021-06-15 16:56:37 expired
dist-c8-rust-bootstrap-build-72020-22259 2021-06-14 20:16:21 expired
dist-c8-rust-bootstrap-build-72017-22259 2021-06-14 20:15:16 expired
dist-c8-build-71886-22141 2021-06-11 17:17:03 expired
dist-c8_4-updates-build-71700-22193 2021-06-09 17:21:00 expired
dist-c8-updates-build-71687-22227 2021-06-09 17:13:56 expired
dist-c8_4-updates-build-71668-22193 2021-06-09 17:05:02 expired
dist-c8_4-updates-build-71667-22193 2021-06-09 17:04:18 expired
dist-c8_4-updates-build-71666-22193 2021-06-09 17:03:21 expired
dist-c8_4-updates-build-71665-22193 2021-06-09 17:02:49 expired
dist-c8_4-updates-build-71663-22193 2021-06-09 17:02:02 expired
dist-c8_4-updates-build-71660-22193 2021-06-09 17:00:49 expired
dist-c8_4-updates-build-71653-22193 2021-06-09 16:52:46 expired
dist-c8_4-updates-build-71621-22140 2021-06-09 14:20:26 expired
dist-c8-build-71617-22141 2021-06-08 19:33:53 expired
dist-c8-build-71614-22141 2021-06-08 19:09:19 expired
dist-c8_4-updates-build-71566-22078 2021-06-07 15:17:59 expired
dist-c8_4-updates-build-71533-22068 2021-06-04 20:39:21 expired
dist-c8_4-updates-build-71532-22068 2021-06-04 20:38:14 expired
dist-c8_4-updates-build-71524-22026 2021-06-04 16:12:33 expired
dist-c8_4-updates-build-71522-22026 2021-06-04 16:11:34 expired
dist-c8_4-updates-build-71519-22026 2021-06-04 16:01:16 expired
dist-c8_4-updates-build-71513-22026 2021-06-04 15:54:40 expired
dist-c8_4-updates-build-71512-22026 2021-06-04 15:53:34 expired
dist-c8-build-71418-21797 2021-06-03 05:54:14 expired
dist-c8-build-71415-21797 2021-06-03 05:29:04 expired
dist-c8-build-71366-21797 2021-06-02 23:33:54 expired
dist-c8-build-71363-21797 2021-06-02 23:05:55 expired
dist-c8_4-updates-build-71350-21915 2021-06-02 18:25:26 expired
dist-c8_4-updates-build-71345-21905 2021-06-02 18:14:42 expired
dist-c8_4-updates-build-71342-21905 2021-06-02 18:13:18 expired
dist-c8_4-updates-build-71315-21873 2021-06-02 16:43:52 expired
dist-c8_4-updates-build-71313-21873 2021-06-02 16:43:32 expired
dist-c8_4-updates-build-71309-21873 2021-06-02 16:42:02 expired
dist-c8_4-updates-build-71307-21840 2021-06-02 14:45:58 expired
dist-c8_4-updates-build-71304-21840 2021-06-02 14:44:45 expired
dist-c8_4-updates-build-71302-21840 2021-06-02 14:42:09 expired
dist-c8-build-71257-21797 2021-06-01 20:39:11 expired
dist-c8-build-71256-21797 2021-06-01 20:39:06 expired
dist-c8_4-updates-build-71249-21829 2021-06-01 20:30:43 expired
dist-c8_4-updates-build-71247-21829 2021-06-01 20:30:41 expired
dist-c8_4-updates-build-71244-21829 2021-06-01 20:29:33 expired
dist-c8_4-updates-build-71243-21829 2021-06-01 20:29:26 expired
dist-c8-build-71242-21797 2021-06-01 20:13:48 expired
dist-c8-build-71240-21797 2021-06-01 20:13:47 expired
dist-c8_4-updates-build-71236-21809 2021-06-01 20:02:06 expired
dist-c8_4-updates-build-71235-21809 2021-06-01 20:00:23 expired
dist-c8_4-updates-build-71234-21809 2021-06-01 20:00:19 expired
dist-c8_4-updates-build-71233-21798 2021-06-01 19:47:34 expired